View Issue Details

IDProjectCategoryView StatusLast Update
0000271Far Manager 1.7xFile Systempublic2007-07-16 16:06
ReporterKapralAssigned Toyjh 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version1.71 
Target VersionFixed in Version1.71 
Summary0000271: Неверный подсчет объема папки или вылет при подсчете объема папки
DescriptionПри длинных именах вложенных папок и подсчете объема головной папки
происходит
либо краш ФАРа
либо неверный подсчет

Батничек для создания нужных папок приведен ниже
Additional Information@Echo Off
MD \Все_нормально________________12345678901234567890
MD \Все_нормально________________12345678901234567890\1
MD \Все_нормально________________12345678901234567890\a
MD \Все_нормально________________12345678901234567890\12345678901234567890123456789012345678901234567890123456789012345678901234567890123456789012345678901234567890123456789012345678900123456789012345678901234567890123456789012345678901234567890\
Subst T: \Все_нормально________________12345678901234567890\12345678901234567890123456789012345678901234567890123456789012345678901234567890123456789012345678901234567890123456789012345678900123456789012345678901234567890123456789012345678901234567890
MD T:\1234567
Copy "C:\Program Files\FAR\FAR.exe" \Все_нормально________________12345678901234567890\1
Copy "C:\Program Files\FAR\FAR.exe" \Все_нормально________________12345678901234567890\a
Copy "C:\Program Files\FAR\FAR.exe" T:\1234567
Subst T: /D


MD \Вылет________________________12345678901234567890
MD \Вылет________________________12345678901234567890\1
MD \Вылет________________________12345678901234567890\a
MD \Вылет________________________12345678901234567890\12345678901234567890123456789012345678901234567890123456789012345678901234567890123456789012345678901234567890123456789012345678900123456789012345678901234567890123456789012345678901234567890\
Subst T: \Вылет________________________12345678901234567890\12345678901234567890123456789012345678901234567890123456789012345678901234567890123456789012345678901234567890123456789012345678900123456789012345678901234567890123456789012345678901234567890
MD T:\12345678901234567890
Copy "C:\Program Files\FAR\FAR.exe" \Вылет________________________12345678901234567890\1
Copy "C:\Program Files\FAR\FAR.exe" \Вылет________________________12345678901234567890\a
Copy "C:\Program Files\FAR\FAR.exe" T:\12345678901234567890
Subst T: /D


MD \Неверный_подсчет_____________12345678901234567890
MD \Неверный_подсчет_____________12345678901234567890\1
MD \Неверный_подсчет_____________12345678901234567890\a
MD \Неверный_подсчет_____________12345678901234567890\12345678901234567890123456789012345678901234567890123456789012345678901234567890123456789012345678901234567890123456789012345678900123456789012345678901234567890123456789012345678901234567890\
Subst T: \Неверный_подсчет_____________12345678901234567890\12345678901234567890123456789012345678901234567890123456789012345678901234567890123456789012345678901234567890123456789012345678900123456789012345678901234567890123456789012345678901234567890
MD T:\123456789012345
Copy "C:\Program Files\FAR\FAR.exe" \Неверный_подсчет_____________12345678901234567890\1
Copy "C:\Program Files\FAR\FAR.exe" \Неверный_подсчет_____________12345678901234567890\a
Copy "C:\Program Files\FAR\FAR.exe" T:\123456789012345
Subst T: /D

TagsNo tags attached.
Build

Activities

Kapral

2007-03-16 09:39

reporter   bugnote:0000438

Кстати
Забыл добавить
В каждую корневую папку копируется по 3 раза ФАР

В случае
Неверный_подсчет - объем папки - 1 ФАР
Все_нормально - объем папки -3 ФАРа (как и должно быть)
Вылет - просто вываливается

yjh

2007-03-31 14:00

developer   bugnote:0000440

"Падения" убраны (в build 2214), а неправильный подсчёт нельзя рассматривать как ошибку FAR'а - разве что как ошибку идеологии ФС в форточках :). Поробуйте удалить эти каталоги через Windows Explorer или cmd. Решения, разумеется, существуют и без subst, однако рассматривать такую ситуацию разумней как "fs с ошибкой", и вряд ли целесообразно её обрабатывать - если файл (без специальных мер) нельзя удалить/просмотреть системными средствами, зачем эту ф-цию брать на себя Far'у?

Issue History

Date Modified Username Field Change
2007-03-16 09:26 Kapral New Issue
2007-03-16 09:39 Kapral Note Added: 0000438
2007-03-31 14:00 yjh Note Added: 0000440
2007-03-31 14:00 yjh Status new => resolved
2007-03-31 14:00 yjh Resolution open => fixed
2007-03-31 14:09 alexy Assigned To => yjh
2007-03-31 14:09 alexy Fixed in Version => 1.71
2007-07-16 16:06 alexy Status resolved => closed